#!/bin/bash -x

EMAIL="hi@mmcwilliams.com"
NAME="Matt McWilliams"

BOOST_ROOT="/lib/x86_64-linux-gnu/"

CFLAGS="-pthread -DBOOST_THREAD_USE_LIB -s USE_BOOST_HEADERS=1"
LDFLAGS="$CFLAGS -s INITIAL_MEMORY=33554432" # 33554432 bytes = 32 MB
CONFIG_ARGS=(
  --arch=x86_32           # use x86_32 to achieve minimal architectural optimization
  --enable-cross-compile  # enable cross compile
  --disable-x86asm        # disable x86 asm
  --disable-inline-asm    # disable inline asm
  --disable-stripping     # disable stripping
  --disable-programs      # disable programs build (incl. ffplay, ffprobe & ffmpeg)
  --disable-doc           # disable doc
  --extra-cflags="$CFLAGS"
  --extra-cxxflags="$CFLAGS"
  --extra-ldflags="$LDFLAGS"
  --nm="llvm-nm -g"
  --ar=emar
  --as=llvm-as
  --ranlib=llvm-ranlib
  --cc=emcc
  --cxx=em++
  --objcc=emcc
  --dep-cc=emcc
)

ARGS=(
	--with-boost-libdir=${BOOST_ROOT}
	LIBS="-lboost_system -lboost_thread -lboost_date_time"
	COMPILED_BY="$NAME <$EMAIL>"
	CC=emcc
	CXX=em++
	CFLAGS="$CFLAGS"
	CXXFLAGS="$CFLAGS"
	LDFLAGS="$LDFLAGS"
	--host=wasm32
)

cd unix/
./prebuild.sh
cd ../

BOOST_ROOT=$BOOST_ROOT emconfigure ./configure "${ARGS[@]}"

#emmake make -j CPPFLAGS="${CPPFLAGS}"
#make install